//Geolocation - this sample gets the current location
 //and displays a map of it. It also shows the current
 //speed and altitude.

 //Set up global variables
var gps;
longitude = -79.20989561;
latitude = 43.73768353;
btnStop.disabled=true;
lastRefresh=0;

btnStart.onclick = function() {
 //disable the stop button, enable the start button
  NSB.MsgBox(continua,"Continuar" ,"OK" ,"Continuar");
};


function continua() {
 //This starts scanning the current location. It checks it every 5 seconds.
 //If it gets the data successfully, the handler function is called.
 //If not, errorCallBack is called.
 //options={timeout: 5000, maximumAge: 5000, enableHighAccuracy: True}
  btnStart.disabled = true;
  btnStop.disabled = false;

  debugger;
  options={timeout: 5000,maximumAge:Infinity, enableHighAccuracy: true};
 //,maximumAge:Infinity
 //gps=navigator.geolocation.watchPosition(onGeolocation, errorCallBack, options)  
 //var geolocation = require("nativescript-geolocation");
 //geolocation.getCurrentLocation({ desiredAccuracy: Accuracy.high, maximumAge: 5000, timeout: 20000 })

  navigator.geolocation.getCurrentPosition(geolocationSuccess,geolocationError,options);

}


function geolocationSuccess(location) {
  debugger;
  TextArea1.value += location.coords.latitude  +  " - "  +   location.coords.longitude;
}



function geolocationError(error) {
  NSB.MsgBox(error.message);
}


btnStop.onclick = function() {
 //Stop checking the current location
  navigator.geolocation.clearWatch(gps);
  btnStart.disabled=false;
  btnStop.disabled=true;
};

function onGeolocation(location) {
 var s;
  s = "Longitude: " + location.coords.longitude  +  '\n';
  s = s  +  "Latitude: " + location.coords.latitude  +  '\n';
  s = s  +  "Speed: " + location.coords.speed  +  " ";
  s = s  +  "Altitude: " + location.coords.altitude  +  '\n';
  s = s  +  "Accuracy: " + location.coords.accuracy  +  " ";
  s = s  +  "Accuracy(altitude): " + location.coords.altitudeAccuracy  +  " "  +  '\n';
 //different browsers return the timestamp in different formats.
 //this converts it if necessary.
  if(IsNumeric(location.timestamp)) {
    gpsDate=new Date(location.timestamp);
 } else {
    gpsDate=location.timestamp;
  }
  TextArea1.value = s  +  "Timestamp: " + gpsDate;
 //ShowMap(location.coords.latitude, location.coords.longitude)
}

function errorCallBack(error) {
 //unable to get the geolocation data
  NSB.MsgBox(error.message  +  '\n'  +  "Show default map...");
  ShowMap(latitude, longitude);
}

function ShowMap(latitude, longitude) {
 //This function displays a Google map.
 //only update the map every 10 seconds.
 //For information on the Google Static Maps API, go here:
 //http://code.google.com/apis/maps/documentation/staticmaps/
  if(SysInfo(10)-lastRefresh<10000 )  { return; }
  lastRefresh=SysInfo(10);
  s = "'https://maps.google.com/maps/api/staticmap?center="  +   latitude  +  ","  +  longitude  +   "&zoom=14&size=300x200&maptype=roadmap&sensor=true&output=embed'";
  Map1.innerHTML="<img width=300 height=200 src="  +  s   +  "></img>";
  console.log(s);
}
 //<gap:config-file overwrite="true" parent="/manifest" platform="android">
 //    <uses-permission android:name="android.permission.ACCESSCOARSELOCATION"/>
 //    <uses-permission android:name="android.permission.ACCESSFINELOCATION"/>
 //    <uses-permission android:name="android.permission.ACCESSLOCATIONEXTRACOMMANDS"/>
 //</gap:config-file>

 //<!--<plugin name="cordova-plugin-geolocation" >
 //    <variable name="GEOLOCATIONUSAGEDESCRIPTION" value="Este aplicativo usa acesso a sua localização" />
 //    <variable name="LOCATIONALWAYSUSAGEDESCRIPTION" value="Este aplicativo usa acesso a sua localização" />
 //    <variable name="LOCATIONWHENINUSEUSAGEDESCRIPTION" value="Este aplicativo usa acesso a sua localização" />
 //    <variable name="LOCATIONALWAYSANDWHENINUSEUSAGEDESCRIPTION" value="Este aplicativo usa acesso a sua localização" />
 //</plugin>-->


 //    <platform name="android">
 //        <config-file target="AndroidManifest.xml" parent="/*">
 //            <uses-permission android:name="android.permission.ACCESSCOARSELOCATION" />
 //            <uses-permission android:name="android.permission.ACCESSFINELOCATION" />
 //        </config-file>
 //    </platform>

 //<plugin name="cordova-plugin-geolocation" spec="4.0.1" /> -- nada acontece
 //<plugin name="cordova-plugin-geolocation" spec="2.1.0" /> ' pede a localizacao (permissao) mas da timeout

 //<plugin name="cordova-plugin-geolocation" spec="2.4.3" /> ' funciona!"!!!!
 //<plugin name="cordova-plugin-request-location-accuracy" spec="*" /> removi e parou
 //
 //
 //
 // application does not have sufficient geolocation permissions
 //    <plugin name="cordova-plugin-geolocation" spec="~4"> '' nao tem nivel de acesso suficiente
 //        <variable name="GEOLOCATIONUSAGEDESCRIPTION" value="This app uses your location for maps." />
 //    </plugin>


 //
 //    <variable name="GEOLOCATIONUSAGEDESCRIPTION" value="This app uses your location for maps." />
 //</plugin>
 //<plugin name="cordova-plugin-request-location-accuracy" spec="*" />
 //
 //<platform name="android">
 //    <uses-permission name="android.permission.ACCESSCOARSELOCATION" />
 //    <uses-permission name="android.permission.ACCESSFINELOCATION" />
 //    <uses-permission name="android.permission.ACCESSLOCATIONEXTRACOMMANDS" />
 //</platform>


 //cli-8.0.0
 //cli-8.0.0